6.0.0-git
2021-01-19

[#6949] Further Blackberry Funambol client issues
Summary Further Blackberry Funambol client issues
Queue Synchronization
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester sblainey (at) chemop (dot) org
Created 2008-06-18 (4598 days ago)
Due
Updated 2009-04-05 (4307 days ago)
Assigned 2008-09-22 (4502 days ago)
Resolved 2008-09-25 (4499 days ago)
Milestone
Patch No

History
2009-04-05 20:24:45 CVS Commit Comment #13 Reply to this comment
Changes have been made in CVS for this ticket:

http://cvs.horde.org/diff.php/framework/SyncML/SyncML.php?rt=horde&r1=1.21.10.18&r2=1.21.10.19&ty=u
http://cvs.horde.org/diff.php/framework/SyncML/SyncML/Backend.php?rt=horde&r1=1.8.2.15&r2=1.8.2.16&ty=u
http://cvs.horde.org/diff.php/framework/SyncML/SyncML/Backend/Horde.php?rt=horde&r1=1.8.2.16&r2=1.8.2.17&ty=u
http://cvs.horde.org/diff.php/framework/SyncML/SyncML/Backend/Sql.php?rt=horde&r1=1.6.2.6&r2=1.6.2.7&ty=u
http://cvs.horde.org/diff.php/framework/SyncML/SyncML/Command.php?rt=horde&r1=1.4.10.12&r2=1.4.10.13&ty=u
http://cvs.horde.org/diff.php/framework/SyncML/SyncML/Command/Alert.php?rt=horde&r1=1.18.10.15&r2=1.18.10.16&ty=u
http://cvs.horde.org/diff.php/framework/SyncML/SyncML/Command/Final.php?rt=horde&r1=1.10.10.10&r2=1.10.10.11&ty=u
http://cvs.horde.org/diff.php/framework/SyncML/SyncML/Command/Get.php?rt=horde&r1=1.14.10.15&r2=1.14.10.16&ty=u
http://cvs.horde.org/diff.php/framework/SyncML/SyncML/Command/Map.php?rt=horde&r1=1.1.10.11&r2=1.1.10.12&ty=u
http://cvs.horde.org/diff.php/framework/SyncML/SyncML/Command/Put.php?rt=horde&r1=1.12.10.12&r2=1.12.10.13&ty=u
http://cvs.horde.org/diff.php/framework/SyncML/SyncML/Command/Sync.php?rt=horde&r1=1.17.10.17&r2=1.17.10.18&ty=u
http://cvs.horde.org/diff.php/framework/SyncML/SyncML/Command/SyncElement.php?rt=horde&r1=1.3.2.9&r2=1.3.2.10&ty=u
http://cvs.horde.org/diff.php/framework/SyncML/SyncML/State.php?rt=horde&r1=1.17.2.17&r2=1.17.2.18&ty=u
http://cvs.horde.org/diff.php/framework/SyncML/SyncML/Sync.php?rt=horde&r1=1.8.4.20&r2=1.8.4.21&ty=u
http://cvs.horde.org/co.php/framework/SyncML/tests/testpacket.php?rt=horde&r=1.2.2.1
http://cvs.horde.org/diff.php/horde/docs/CHANGES?rt=horde&r1=1.515.2.522&r2=1.515.2.523&ty=u
2009-04-04 12:56:49 Jan Schneider Comment #11 Reply to this comment
Obviously this didn't fix it. See bug #6995 for a follow-up.
2008-09-25 09:10:03 Jan Schneider State ⇒ Resolved
 
2008-09-22 21:46:28 Jan Schneider Comment #10
State ⇒ Feedback
Reply to this comment
Please try the patch I just committed.
2008-09-22 21:46:23 CVS Commit Comment #9 Reply to this comment
2008-07-14 11:05:37 Jan Schneider State ⇒ Assigned
 
2008-07-14 11:04:36 Jan Schneider Deleted Original Message
 
2008-07-14 10:38:00 sblainey (at) chemop (dot) org Comment #8
New Attachment: client_xml_data.txt Download
Reply to this comment
Please provide the client.xml log for that message too.
Attached...
Just realised the client files are from a different session, so here 
is the corresponding data.txt




2008-07-14 10:35:01 sblainey (at) chemop (dot) org Comment #7
New Attachment: client_xml.zip Download
Reply to this comment
Please provide the client.xml log for that message too.
Attached...


2008-07-14 10:23:19 Jan Schneider Comment #6
State ⇒ Feedback
Reply to this comment
Please provide the client.xml log for that message too.
2008-07-14 09:34:27 sblainey (at) chemop (dot) org Comment #5
New Attachment: Sync4j.diff Download
Reply to this comment
And here is a patch to allow Horde to sync data from the blackberry 
running Funambol.
2008-07-14 09:29:10 sblainey (at) chemop (dot) org Comment #4
New Attachment: data.txt
Reply to this comment
Duplicate of bug #6995.
Only issue 1 is the same as bug 6995 - there is still the issue with 
Horde not decoding the base64 encoded data sent by the blackberry 
funambol. I have attached data.txt from /tmp/sync showing that the 
data sent by the client is not converted correctly.


2008-07-13 09:17:17 Jan Schneider Comment #3
State ⇒ Duplicate
Reply to this comment
Duplicate of bug #6995.
2008-07-06 17:26:05 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
Please provide the syncml log files from /tmp/syncml instead.
2008-06-18 21:56:13 Jan Schneider Assigned to Jan Schneider
State ⇒ Assigned
 
2008-06-18 11:43:13 sblainey (at) chemop (dot) org Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Further Blackberry Funambol client issues
Queue ⇒ Synchronization
Milestone ⇒
Patch ⇒ No
Reply to this comment
Using the v6.06 Funambol Blackberry client

After applying the fix suggested in defect 6939 for the RespURI issue 
I came across the following two issues:



1) Horde does not recognise the Blackberry Funambol client as the 
device id returned is 'fbb-xxx' rather than 'sc-pim-xxx' and the 
client id cannot be edited within the Blackberry edition of Funambol.



The fix for this is to update the getDevice function within State.php 
to recognise 'fbb-' as a sync4j client.



2) Horde does not decode the base64 data provided by the Funambol 
client in the sync (interestingly enough, it does encode data it sends 
to the client).



The fix for this is to update the convertClient2Server function within 
Device/Sync4j.php to call base64_decode to decode $content before 
calling sif2vcard.



The above fixes allow me to sucessfully sync my Blackberry address 
book with Turba. I have not tried calendar, notes or todo as I do not 
use them.



I can provide patches if required.

Saved Queries